#pragma once
#include <glm/glm.hpp>
#include <glm/gtc/matrix_transform.hpp>

namespace YoggieEngine {
	class Camera {
	public:
		glm::vec3 Position;
		glm::vec3 Rotation;
		float Zoom;

		Camera(glm::vec3 position, glm::vec3 rotation, float zoom);
		~Camera();

		glm::mat4 GetViewMatrix();


	private:
		glm::vec3 Front;
		glm::vec3 Right;
		glm::vec3 Up;

	};
}
